:: BASE_DOC ::

## API

### Empty Props

name | type | default | description | required
-- | -- | -- | -- | --
custom-style | Object | - | CSS(Cascading Style Sheets) | N
description | String | - | empty component description | N
icon | String / Object | - | \- | N
image | String | - | image url, or Image component props, or custom any node you need | N

### Empty Slots

name | Description
-- | --
action | action block
description | empty component description
image | image url, or Image component props, or custom any node you need

### Empty External Classes

className | Description
-- | --
t-class | \-
t-class-description | \-
t-class-image | \-

### CSS Variables

The component provides the following CSS variables, which can be used to customize styles.
Name | Default Value | Description 
-- | -- | --
--td-empty-action-margin-top | @spacer-4 | -
--td-empty-description-color | @text-color-placeholder | -
--td-empty-description-font | @font-body-medium | -
--td-empty-description-margin-top | @spacer-2 | -
--td-empty-icon-color | @text-color-placeholder | -
